Source: python-zipstream
Version: 1.1.0-2
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

python-zipstream fails to build from source in unstable/amd64:

  [..]

  ERROR: test_write_iterable (tests.test_zipstream.ZipStreamTestCase)
  ----------------------------------------------------------------------
  Traceback (most recent call last):
    File
    
"/build/python-zipstream-1.1.0/.pybuild/pythonX.Y_3.5/build/tests/test_zipstream.py",
    line 58, in test_write_iterable
      z = zipstream.ZipFile(mode='w')
    File
    
"/build/python-zipstream-1.1.0/.pybuild/pythonX.Y_3.5/build/zipstream/__init__.py",
    line 167, in __init__
      zipfile.ZipFile.__init__(self, fileobj, mode=mode,
      compression=compression, allowZip64=allowZip64)
    File "/usr/lib/python3.5/zipfile.py", line 1040, in __init__
      self.fp.seek(self.start_dir)
  TypeError: seek() missing 1 required positional argument: 'whence'
  
  ======================================================================
  ERROR: test_write_iterable_no_archive
  (tests.test_zipstream.ZipStreamTestCase)
  ----------------------------------------------------------------------
  Traceback (most recent call last):
    File
    
"/build/python-zipstream-1.1.0/.pybuild/pythonX.Y_3.5/build/tests/test_zipstream.py",
    line 78, in test_write_iterable_no_archive
      z = zipstream.ZipFile(mode='w')
    File
    
"/build/python-zipstream-1.1.0/.pybuild/pythonX.Y_3.5/build/zipstream/__init__.py",
    line 167, in __init__
      zipfile.ZipFile.__init__(self, fileobj, mode=mode,
      compression=compression, allowZip64=allowZip64)
    File "/usr/lib/python3.5/zipfile.py", line 1040, in __init__
      self.fp.seek(self.start_dir)
  TypeError: seek() missing 1 required positional argument: 'whence'
  
  ======================================================================
  FAIL: test_init_mode (tests.test_zipstream.ZipStreamTestCase)
  ----------------------------------------------------------------------
  Traceback (most recent call last):
    File
    
"/build/python-zipstream-1.1.0/.pybuild/pythonX.Y_3.5/build/tests/test_zipstream.py",
    line 32, in test_init_mode
      zipstream.ZipFile(mode='w')
  TypeError: seek() missing 1 required positional argument: 'whence'
  
  During handling of the above exception, another exception occurred:
  
  Traceback (most recent call last):
    File
    
"/build/python-zipstream-1.1.0/.pybuild/pythonX.Y_3.5/build/tests/test_zipstream.py",
    line 34, in test_init_mode
      self.fail(err)
  AssertionError: seek() missing 1 required positional argument:
  'whence'
  
  ----------------------------------------------------------------------
  Ran 11 tests in 0.006s
  
  FAILED (errors=4, failures=1)
  E: pybuild pybuild:274: test: plugin distutils failed with: exit
  code=1: cd /build/python-zipstream-1.1.0/.pybuild/pythonX.Y_3.5/build;
  python3.5 -m nose tests
  dh_auto_test: pybuild --test --test-nose -i python{version} -p 3.5 3.4
  --dir . returned exit code 13
  debian/rules:7: recipe for target 'build' failed
  make: *** [build] Error 25
  dpkg-buildpackage: error: debian/rules build gave error exit status 2

  [..]

The full build log is attached or can be viewed here:

    
https://reproducible.debian.net/logs/unstable/amd64/python-zipstream_1.1.0-2.build1.log.gz


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-

Attachment: python-zipstream.1.1.0-2.unstable.amd64.log.txt.gz
Description: application/gzip

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to